Luxor PlatformAPI DocumentationEnergyAncillary Services
List AS calls
Retrieves a paginated list of AS calls for a specific site.
Authorization
bearer AuthorizationBearer <token>
In: header
Query Parameters
site_id*Site Id
Format
uuidpage_number?Page Number
Page number for pagination
Range
1 <= valueDefault
1page_size?Page Size
Number of items per page
Range
1 <= value <= 1000Default
100Response Body
application/json
application/json
curl -X GET "https://example.com/api/v1/energy/as-calls?site_id=497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "as_calls": [ { "as_iso_name": "ERCOT", "as_type": "RRS", "comments": "Responsive Reserve Service deployment", "created_at": "2025-01-15T13:45:00Z", "end_time": "2025-01-15T15:00:00Z", "hour_ending": 15, "id": "7c8d466c-2947-4d90-9220-5c0de5514b22", "opr_date": "2025-01-15", "quantity_kw": "100.0", "site_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6", "start_time": "2025-01-15T14:00:00Z" } ], "pagination": { "page_number": 0, "page_size": 0, "item_count": 0, "previous_page_url": "string", "next_page_url": "string" }}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string" } ]}